# Uses of Enum Class
org.eclipse.emf.cdo.explorer.repositories.CDORepository.State

Packages that use CDORepository.State
Package
Description
org.eclipse.emf.cdo.explorer.repositories
Interfaces for working with `repositories`.

## Uses of CDORepository.State in org.eclipse.emf.cdo.explorer.repositories

Methods in org.eclipse.emf.cdo.explorer.repositories that return CDORepository.State
Modifier and Type
Method
Description
`CDORepository.State`
CDORepository.`getState()`
`static CDORepository.State`
CDORepository.State.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDORepository.State[]`
CDORepository.State.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.